Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# SSLIOP::Current Interface Reference

The following are TAO extensions. The SSLIOP::Current interface provides methods to gain access to the SSL session state for the current execution context. More...

`#include <SSLIOP.idl>`

Inheritance diagram for SSLIOP::Current

[legend]
Collaboration diagram for SSLIOP::Current:

[legend]
List of all members.

## Public Methods
ASN_1_Cert | get_peer_certificate () raises (NoContext)
| Return the peer certificate associated with the current request.
SSL_Cert | get_peer_certificate_chain () raises (NoContext)
| Return the certificate chain associated with the current execution context. If no SSL session is being used for the request or upcall, then the NoContext exception is raised. On the client side, the chain does include the peer (server) certficate. However, the certificate chain on the server side does NOT contain the peer (client) certificate.
boolean | no_context ()
| Returns true if the current execution context is not within a SSL session. This method is mostly useful as an inexpensive means of determining whether or not SSL session state is available.

## Detailed Description

The following are TAO extensions. The SSLIOP::Current interface provides methods to gain access to the SSL session state for the current execution context.

## Member Function Documentation

ASN_1_Cert SSLIOP::Current::get_peer_certificate ( | ) raises (NoContext)

| Return the peer certificate associated with the current request.

SSL_Cert SSLIOP::Current::get_peer_certificate_chain ( | ) raises (NoContext)

| Return the certificate chain associated with the current execution context. If no SSL session is being used for the request or upcall, then the NoContext exception is raised. On the client side, the chain does include the peer (server) certficate. However, the certificate chain on the server side does NOT contain the peer (client) certificate.

boolean SSLIOP::Current::no_context ( | )

| Returns true if the current execution context is not within a SSL session. This method is mostly useful as an inexpensive means of determining whether or not SSL session state is available.

The documentation for this interface was generated from the following file:

- SSLIOP.idl